summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-06-23 11:56:50 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-06-23 11:59:49 (EDT)
commit25891d8c43d78fefda3e2b9d8c098216dd945379 (patch)
treec65ccd75aa0ce3c16478cbb2bae01a6d5c05b4b4
parent5e9d7254b941cd9a5158024af762c255751a6d7a (diff)
release: New script (copied from gcc-8)
-rwxr-xr-xrelease13
1 files changed, 13 insertions, 0 deletions
diff --git a/release b/release
new file mode 100755
index 0000000..871cb4a
--- /dev/null
+++ b/release
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+set -eu
+
+read src ver <<-EOF
+ $(sed '1s/^\(.*\) (\(.*\)) .*$/\1 \2/; q;' changelog)
+ EOF
+
+sed '/^ -- .* /{ s/^\( -- .* \).*$/\1'"$(LC_ALL='POSIX' date \
+ '+%a, %d %b %Y %H:%M:%S %z')"'/; :l; n; b l; };' changelog >changelog~
+mv changelog~ changelog
+git commit -m "changelog: Release ${src} ${ver}" -- changelog
+git tag "${src}/${ver}" HEAD